Bug 42631 - WebKit shouldn't convert Int32 values passed to NPAPI plugins to Double
Summary: WebKit shouldn't convert Int32 values passed to NPAPI plugins to Double
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL: http://jsbin.com/unulu3
Keywords: InRadar, Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2010-07-20 05:48 PDT by Gil
Modified: 2022-06-23 11:13 PDT (History)
8 users (show)

See Also:


Attachments
This is a proposed fix: a rar archive with the original and the fixed cpp files. (4.62 KB, application/octet-stream)
2010-07-20 05:49 PDT, Gil
no flags Details
Proposed patch (1.34 KB, patch)
2010-08-21 22:36 PDT, Andreas Kling
darin: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gil 2010-07-20 05:48:05 PDT
The bug is demonstrated in the attached javascript page (http://jsbin.com/unulu3).
Open a page containing the ms windows media player mpapi plugin, and try to set the volume level programmatically
using: player.settings.volume = newValue;
It fails without an error mesage.
If you open the same page with IE, FF, or Chrome it works.

Analysis:  
QtWebKit converts int32 parameters passed to NPAPI plugin to Double.

I attach my fix (in the file c_utility.cpp).
Comment 1 Gil 2010-07-20 05:49:54 PDT
Created attachment 62057 [details]
This is a proposed fix: a rar archive with the original and the fixed cpp files.
Comment 2 Diego Gonzalez 2010-07-21 07:35:53 PDT
(In reply to comment #1)
> Created an attachment (id=62057) [details]
> This is a proposed fix: a rar archive with the original and the fixed cpp files.

You should generate a patch and put it into a review process. Please read: http://webkit.org/coding/contributing.html
Comment 3 Andreas Kling 2010-08-21 22:36:19 PDT
Created attachment 65048 [details]
Proposed patch

Cleaned up Gil's change into a proper patch so we can proceed forward with this.
Comment 4 Darin Adler 2010-08-29 11:42:52 PDT
Comment on attachment 65048 [details]
Proposed patch

Change looks perfect, but we need a regression test for this.

review- for lack of a regression test
Comment 5 Ahmad Saleem 2022-06-20 10:48:10 PDT
I am unable to find "c_utility.cpp" file in Webkit Github mirror and I think NPAPI plugin support is not available in Webkit trunk and at least Safari 14 and WebkitGTK does not have it.

I am not clear on QTBuild of Webkit using it. If it is disabled across all, can this be marked as "RESOLVED WONTFIX". Thanks!
Comment 6 Radar WebKit Bug Importer 2022-06-20 10:48:30 PDT
<rdar://problem/95545174>
Comment 7 Brent Fulgham 2022-06-23 11:13:30 PDT
WebKit no longer supports NSAPI plugins.